// Custom Theming for NG-ZORRO
// For more information: https://ng.ant.design/docs/customize-theme/en
// -------- import official less file -----------
@import "node_modules/ng-zorro-antd/ng-zorro-antd.less";
@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:wght@400;600;800;900&display=swap');

// -------- override less variables -----------
@body-background: #FAFAFB;
@primary-color: #4B23A7;
@lighten-primary-color: #7A52CA;
@height-base: 36px;
@font-family: 'Nunito Sans', Arial,
'Noto Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol',
'Noto Color Emoji';
@form-item-margin-bottom: 16px;
@text-color: #1E1735;
@heading-color: #1E1735;
@btn-default-ghost-color: #837F90;
@btn-default-ghost-bg: transparent;
@btn-default-ghost-border: #837F90;


// -------- Custom Hover color for primary button -----------
.btn-primary() {
  &:hover,
  &:focus {
    .button-color(white; @lighten-primary-color; @lighten-primary-color);
  }
}

// Remove box shadow on focus for inputs
.input() {
  &:focus,
  &-focused {
    box-shadow: none;
  }
}

// Remove box shadow on focus for input-number
.@{input-number-prefix-cls} {
  &-focused {
    box-shadow: none;
  }
}

// Remove box shadow on focus for selects
.@{select-prefix-cls} {
  &:not(&-customize-input) &-selector {
    .@{select-prefix-cls}-focused:not(.@{select-prefix-cls}-disabled) & {
      box-shadow: none;
    }
  }
}

// Create tag setting for Primary color by force
.ant-tag-purple {
  color: @lighten-primary-color;
  background: #E3D2FA;
  border-color: @lighten-primary-color;
}


// ----- Table style ------
@table-header-bg: white;
@table-bg: white;
@table-row-hover-bg: @background-color-light;
@table-border-radius-base: 4px;
@table-font-size: 0.8125rem;
